

function main(self)
	self:AnimationStep()
    if self.State == 0 then
		self:SetImage"CUSTOM_AETHERBURST"
		self:SetAnimation"CUSTOM_CYCLE40"
		SetImgFlag(self.Image, ImageFlag.Ghost)
		self.Flags.AlwaysActive = true
		self.AttackRect, self.MoveRect, self.HitRect = {-48,-48,48,48}, {-48,-48,48,48}, {-48,-48,48,48}
		self.HitFlags.Enemy = true
		self.BumpFlags.MagicBullet = true
        self.Damage = 30
		self.State = 1
	end

    if self.State == 1 then
        PlaySound"CUSTOM_AETHER"
		self.countTime = GetTime() + 630
        self.State = 2
    end

	if self.State == 2 then
        self.X, self.Y = GetClaw().X, GetClaw().Y
        local hitRectSide = 30*self.I + 15
        self.AttackRect = {-hitRectSide, -hitRectSide, hitRectSide, hitRectSide}
		if GetTime() > self.countTime then
			self:Destroy()
		end
	end

end


